using FreeSql.DatabaseModel;using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Reflection;
using System.Threading.Tasks;
using Newtonsoft.Json;
using FreeSql.DataAnnotations;

namespace FuelServer.Core.Entity
{

	/// <summary>
	/// 配置表
	/// </summary>
	[JsonObject(MemberSerialization.OptIn), Table(DisableSyncStructure = true)]
	public partial class configuration {

		[JsonProperty, Column(IsPrimary = true, IsIdentity = true)]
		public int Id { get; set; }

		/// <summary>
		/// buid
		/// </summary>
		[JsonProperty]
		public Guid? Buid { get; set; }

		/// <summary>
		/// 支付方式类型
		/// </summary>
		[JsonProperty]
		public int? payType { get; set; }

		[JsonProperty, Column(StringLength = 100)]
		public string CreateBy { get; set; }

		[JsonProperty, Column(DbType = "timestamp", InsertValueSql = "CURRENT_TIMESTAMP")]
		public DateTime CreateTime { get; set; }

		/// <summary>
		/// 是否启用
		/// </summary>
		[JsonProperty, Column(DbType = "tinyint(1)")]
		public sbyte? Enabled { get; set; }

		/// <summary>
		/// 配置名称
		/// </summary>
		[JsonProperty, Column(StringLength = 100)]
		public string Name { get; set; }

		/// <summary>
		/// 备注
		/// </summary>
		[JsonProperty, Column(StringLength = -1)]
		public string remark { get; set; }

		/// <summary>
		/// 模板类型
		/// </summary>
		[JsonProperty]
		public int? Type { get; set; }

		/// <summary>
		/// 配置内容
		/// </summary>
		[JsonProperty, Column(StringLength = -1)]
		public string Value { get; set; }

	}

}
